Subject: bug#24070: LaTeX mode doesn't load in 11.89.4

From: Mosè Giordano <[email-masked]>
Date: Tue, 26 Jul 2016 19:25:53 +0200

Hi Caleb,

2016-07-26 19:11 GMT+02:00 Caleb Rottman <[email-masked]>:
> Thank you for the suggestions. When I removed my init.el file, AUCTeX's mode
> loaded fine so I knew it must be a conflict somewhere else in my init.el.
>
> I had the following lines in my init.el to try to decrease my emacs startup
> time (as emacs had been slow to load):
>
> (setq package-enable-at-startup nil)
> (package-initialize t)
> (let ((default-directory "~/.emacs.d/elpa"))
>   (normal-top-level-add-subdirs-to-load-path))
>
> When I get rid of the first line, AUCTeX loads fine, so this fixes my
> problem. (It turns out that first line really wasn't helping emacs start
> that much quicker anyway).

Good, then I'm going to close this ticket.

> Still, this workaround seem a little odd to me. First, It seems odd that I
> can't start AUCTeX "when I want", i.e., by using the line (load "auctex.el"
> nil t t), even though this worked for me in previous versions of auctex
> (11.89 and 11.88). Second, it also seems a little odd that I can't do
> something like (require 'auctex) or (use-package auctex), even though I can
> load all my other 30+ packages that way. The concept of having nothing in my
> .emacs and the package still being expected to work definitely confused me
> at the beginning.

You can't manually load AUCTeX (for what I know, it should have never
worked that way), but you can unload it before opening a *TeX file:

    (unload-feature 'tex-site)

Bye,
Mosè